SDL_GDKGetDefaultUser(3)

NAME
SDL_GDKGetDefaultUser - Gets a reference to the default user handle for GDK.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GDKGetDefaultUser(XUserHandle * outUserHandle);

DESCRIPTION
This is effectively a synchronous version of XUserAddAsync, which always prefers the default user and allows a sign-in UI.

FUNCTION PARAMETERS

outUserHandle
    a pointer to be filled in with the default user handle.

RETURN VALUE
Returns 0 if success, -1 if any error occurs.

AVAILABILITY
This function is available since SDL 3.0.0.